import request from '@/utils/request'

// 查询运单管理列表
export function listOrder(query) {
  return request({
    url: '/system/order/list',
    method: 'get',
    params: query
  })
}

// 查询运单管理详细
export function getOrder(waybillId) {
  return request({
    url: '/system/order/' + waybillId,
    method: 'get'
  })
}

// 新增运单管理
export function addOrder(data) {
  return request({
    url: '/system/order',
    method: 'post',
    data: data
  })
}

// 修改运单管理
export function updateOrder(data) {
  return request({
    url: '/system/order',
    method: 'put',
    data: data
  })
}

// 删除运单管理
export function delOrder(waybillId) {
  return request({
    url: '/system/order/' + waybillId,
    method: 'delete'
  })
}


// 取消下单
export function cancelOrder(data) {
  return request({
    url: '/system/order',
    method: 'put',
    data: data
  })
}


// 查询物流轨迹
export function deliverTrace(data) {
  return request({
    url: '/system/kd100/wxmini/queryExpres',
    method: 'post',
    data: data
  })
}


// 查询物流费用
export function deliverFree(data) {
  return request({
    url: '/system/costDetails/detaillist',
    method: 'get',
    params: data
  })
}


